Subject: Re: [Justfont] Working Group Last Call: draft-ietf-justfont-toplevel-02.txt

From: Alexey Melnikov <[email-masked]>
Date: Wed, 26 Oct 2016 16:25:36 +0100

Hi Chris,

On Tue, Jul 26, 2016, at 03:42 PM, Chris Lilley wrote:

 [snip]
> *Where are @font-face format identifiers defined?*
> https://github.com/svgeesus/ietf-justfont/issues/14
>
>  This is substantive. To-date, the authoritative definition has been
>  the CSS 3 Fonts specification (and before that, the CSS 2.0
>  specification). Thus my initial thought was that this should
>  continue. Martin asked whether new registrations should give that
>  info too, and I agree that they should. I
>
>  In that case, IANA would check for uniqueness (as they already do for
>  subtype names) and the authoritative definition would be the
>  registration itself (including the registrations included in the
>  present document) and CSS 3 Fonts would update to state that the
>  registrations are the official source, once the RFC was published.
>
>  It still seems useful to have a list of @font-face formats, so they
>  would stay in CSS 3 Fonts as an informative list. The W3C errata
>  mechanism could be used in the event of new registrations after CSS 3
>  Fonts becomes a W3C Recommendation.

Using errata for registration sounds a bit of a hack. Although I don't
have a particular opinion on the issue.

>
>  I recalled seeing a registration template in earlier MIME
>  specifications and went looking for it. I had planned to copy it into
>  the present document, adding the @font-face format field. However,
>  reading through RFC 6838 it seems that this has been replaced by an
>  online form:
> http://www.iana.org/form/media-types
You can still send them in email, although IANA prefers for people to
use web forms, as I believe the form does some input validation.

> I have added this as an informative reference in the IANA
> considerations section. I have started to add a section on 'New
> Registrations' which points to this form, and also references the ABNF
> of section *4.2. Naming Requirements* of RFC 6838[1]. Should this
> document then state that it updates RFC 6838?

Sure.
> How should we go about getting the online form updated to include
> the @font-face format to the "additional information" section of
> that form?
Email me with details and I sort this out with IANA.

> Also, is that form the sole way to do new registrations or is there
> still a textual template somewhere which people can edit as a plain
> text email for ietf-types as was done previously?
>
>  (Off topic, but it would also be good to know who to contact about
>  updates to the form because it has a link to RFC 3013, which was
>  obsoleted by RFC 7303; this should be corrected).

I will take care of this.

Links:

  1. https://tools.ietf.org/html/rfc6838#section-4.2